3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php var_dump([extension_loaded('libxml'), phpversion('libxml')]);
based on VuC8s
Output for 7.2.0
array(2) { [0]=> bool(true) [1]=> string(5) "7.2.0" }
Output for 7.1.10
array(2) { [0]=> bool(true) [1]=> string(6) "7.1.10" }
Output for 7.1.7
array(2) { [0]=> bool(true) [1]=> string(5) "7.1.7" }
Output for 7.1.6
array(2) { [0]=> bool(true) [1]=> string(5) "7.1.6" }
Output for 7.1.5
array(2) { [0]=> bool(true) [1]=> string(5) "7.1.5" }
Output for 7.1.0
array(2) { [0]=> bool(true) [1]=> string(5) "7.1.0" }
Output for 7.0.20
array(2) { [0]=> bool(true) [1]=> string(6) "7.0.20" }
Output for 7.0.6
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.6" }
Output for 7.0.5
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.5" }
Output for 7.0.4
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.4" }
Output for 7.0.3
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.3" }
Output for 7.0.2
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.2" }
Output for 7.0.1
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.1" }
Output for 7.0.0
array(2) { [0]=> bool(true) [1]=> string(5) "7.0.0" }
Output for 5.4.10 - 5.6.28
array(2) { [0]=> bool(true) [1]=> bool(false) }
Output for 5.3.20 - 5.3.29
Parse error: syntax error, unexpected '[', expecting ')' in /in/LMRP8 on line 3
Process exited with code 255.